package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ModelLatestFwInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModelLatestFwInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("modelTypeInfo")
  private ModelTypeInfoOpenApiVo modelTypeInfo;

  @JsonProperty("latestVersion")
  private String latestVersion;

  @JsonProperty("releaseTime")
  private Long releaseTime;

  public ModelLatestFwInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * ID
   * @return id
  */
  @ApiModelProperty(value = "ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public ModelLatestFwInfo modelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
    return this;
  }

  /**
   * Get modelTypeInfo
   * @return modelTypeInfo
  */
  @ApiModelProperty(value = "")

  @Valid

  public ModelTypeInfoOpenApiVo getModelTypeInfo() {
    return modelTypeInfo;
  }

  public void setModelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
  }

  public ModelLatestFwInfo latestVersion(String latestVersion) {
    this.latestVersion = latestVersion;
    return this;
  }

  /**
   * Latest version
   * @return latestVersion
  */
  @ApiModelProperty(value = "Latest version")


  public String getLatestVersion() {
    return latestVersion;
  }

  public void setLatestVersion(String latestVersion) {
    this.latestVersion = latestVersion;
  }

  public ModelLatestFwInfo releaseTime(Long releaseTime) {
    this.releaseTime = releaseTime;
    return this;
  }

  /**
   * Latest version release time, timestamp ms
   * @return releaseTime
  */
  @ApiModelProperty(value = "Latest version release time, timestamp ms")


  public Long getReleaseTime() {
    return releaseTime;
  }

  public void setReleaseTime(Long releaseTime) {
    this.releaseTime = releaseTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModelLatestFwInfo modelLatestFwInfo = (ModelLatestFwInfo) o;
    return Objects.equals(this.id, modelLatestFwInfo.id) &&
        Objects.equals(this.modelTypeInfo, modelLatestFwInfo.modelTypeInfo) &&
        Objects.equals(this.latestVersion, modelLatestFwInfo.latestVersion) &&
        Objects.equals(this.releaseTime, modelLatestFwInfo.releaseTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, modelTypeInfo, latestVersion, releaseTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModelLatestFwInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    modelTypeInfo: ").append(toIndentedString(modelTypeInfo)).append("\n");
    sb.append("    latestVersion: ").append(toIndentedString(latestVersion)).append("\n");
    sb.append("    releaseTime: ").append(toIndentedString(releaseTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

